Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class ClientDisconnectException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--com.caucho.vfs.ClientDisconnectException

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

public class ClientDisconnectException
extends java.io.IOException
implements ExceptionWrapper

Exception thrown when a client unexpectedly closes a connection. Generally this is a broken pipe exception, but unfortunately, java.io.* doesn't have a specific BrokenPipeException.

See Also:
  Serialized Form

Constructor Summary
`ClientDisconnectException()`
`ClientDisconnectException(java.lang.Exception exn)`
`ClientDisconnectException(java.lang.String msg)`

Method Summary
`static java.io.IOException` | `create(java.io.IOException exn)` Only create a disconnect exception if it's an IOException Possible later check for broken pipe.
`java.lang.Throwable` | `getRootCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientDisconnectException

    public ClientDisconnectException()

### ClientDisconnectException

    public ClientDisconnectException(java.lang.String msg)

### ClientDisconnectException

    public ClientDisconnectException(java.lang.Exception exn)

Method Detail

### create

    public static java.io.IOException create(java.io.IOException exn)

  Only create a disconnect exception if it's an IOException Possible later check for broken pipe.

### getRootCause

    public java.lang.Throwable getRootCause()

  Specified by:
    `getRootCause` in interface `ExceptionWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD